> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers With Commission Structures

> Get a list of all providers with their commission structure information



## OpenAPI

````yaml get /inventory/commission-structures/providers-with-structures
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/commission-structures/providers-with-structures:
    get:
      tags:
        - provider
        - inventory
      summary: List Providers With Commission Structures
      description: Get a list of all providers with their commission structure information
      operationId: >-
        list_providers_with_commission_structures_inventory_commission_structures_providers_with_structures_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProvidersCommissionStructure'
                title: >-
                  Response List Providers With Commission Structures Inventory
                  Commission Structures Providers With Structures Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProvidersCommissionStructure:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        commissionStructure:
          anyOf:
            - $ref: '#/components/schemas/CommissionStructureTiny'
            - type: 'null'
          description: Commission structure for the provider.
      type: object
      required:
        - id
        - firstName
      title: ProvidersCommissionStructure
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommissionStructureTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the commission group
        name:
          type: string
          title: Name
          description: Name of the commission group
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the commission group
      type: object
      required:
        - name
      title: CommissionStructureTiny
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````